Bug 1284740 - MACAddressPolicy=none from /lib/systemd/network/99-default.link is ignored
MACAddressPolicy=none from /lib/systemd/network/99-default.link is ignored
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
ppc64le Linux
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 23:18 EST by Alexey Kardashevskiy
Modified: 2016-12-20 11:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:13:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Kardashevskiy 2015-11-23 23:18:20 EST
Description of problem:

Prerequisites:
1. Mellanox 27500 SRIOV adapter with 63 virtual PCI functions, mlx4_en driver.
2. QEMU
3. Fedora 23 guest.

Simply run a guest with -device vfio-pci,host=0003:03:01.1 and record the MAC address of a single eth device. Shut down the guest, change the host address to 
0003:03:01.2 and start the guest again - MAC address will the same as recorded.

Both 0003:03:01.1 and 0003:03:01.2 are virtual functions, not a real PCI device.

The host driver assigns a MAC for every virtual function and keeps this information until reboot.

The guest driver sets random MAC address during boot and it can be seen from dmesg. However when I get to the console, "ip addr" shows the same MAC, always, it is cached somewhere but it is not in udev rules nor in the network scripts.

This is the config:
[root@dyn45 ~]# cat /lib/systemd/network/99-default.link
[Link]                                                  
NamePolicy=kernel                                       
MACAddressPolicy=none                                   


If to replace virtual functions with QEMU-emulated Intel E1000 device and change its MAC via the command line, this MAC address makes it all the way to "ip addr" in the guest so MACAddressPolicy=none works fine for it. MACAddressPolicy=random does work too.

I am looking for an option in systemd to make it not touch MAC at all, is there such a thing? Thanks.
Comment 1 Alexey Kardashevskiy 2015-11-24 01:42:32 EST
Reloading mlx4_core and mlx4_en results in an "eth0" interface (not enp0s0f0) having a new random MAC address. However restarting some service (it is not easy reproducible but suspects are NetworkManager and systemd-udev-trigger.service) brings an old MAC back.

Ubuntu 15.10 systemd version 225 does not have this issue. FC23 is running 222 afaict.
Comment 2 Fedora End Of Life 2016-11-24 08:40:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 11:13:08 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.